Subject: Re: powerpc 476, Little-endian, pte fault

From: Michael Neuling <[email-masked]>
Date: Mon, 31 Oct 2011 20:49:48 +1100

> I have built a cross compiler for ppc440 in little endian mode and
> using it to build the kernel.
> 
> Yes i am running Linux in Little-Endian. This is the first user space
> process. I wrote the below program and running it as init from
> /sbin/init. I have also set the permissions with chmod +s.
> 
> main()
> {
> 
> while(1){
> printf("hello world");
> sleep(1);
>  }
> }

Does libc even support little endian on PPC?

> I have attached the patch.

This is a pretty huge patch:

 115 files changed, 44479 insertions(+), 7398 deletions(-)

It seems to include a new platform as well as a bunch of unrelated junk.

I suggest you need to break this down into something more digestible.
Like remove all the junk in the patch.  Then add the support for the new
platform (invader? platform).  Then start looking at little endian.
Unless you do this, it's unlikely anyone here is going to be able to
help.

When you get to the little endian work, you might want to take a look at
this patch series from Ian Munsie:

http://lists.ozlabs.org/pipermail/linuxppc-dev/2010-October/086165.html

Mikey